unit uSettings;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfSettings = class(TForm)
    gbGoogle: TGroupBox;
    leCustomSearchEngineCode: TLabeledEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    leAPIKey: TLabeledEdit;
    BitBtn3: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fSettings: TfSettings;

implementation

uses MainForm;

{$R *.dfm}

procedure TfSettings.BitBtn3Click(Sender: TObject);
begin
  fSettings.CloseModal;
end;

procedure TfSettings.FormShow(Sender: TObject);
begin
  FSettings.leAPIKey.Text := frm.APIKey;
  FSettings.leCustomSearchEngineCode.Text := frm.CustomSearchEngineCode;
  if Sender.ClassName <> 'TBitBtn' then
  begin
    BitBtn3.Visible := True;
    BitBtn3.Enabled := True;
  end
  else
  begin
    BitBtn3.Visible := false;
    BitBtn3.Enabled := false;
  end;
end;

end.
